#!/bin/sh
# from the template /lusr/share/udb/adm/base/dotfiles/xsession
#
# This file MUST be a shell script!  Its execute bit MUST be set!
#

# Get the system wide default PATH.  
# It provides access to software you need.  It differs from one
# platform to another.  The department staff maintains it as a
# basic part of your working environment.  We will be very reluctant
# to bail you out if you ignore this warning and munge your PATH.
# !! DO NOT REMOVE THIS BLOCK !!
	if [ -f /lusr/lib/misc/path.sh ]; then
		. /lusr/lib/misc/path.sh
	fi
# !! DO NOT REMOVE THIS BLOCK !!

# Okay, now modify PATH.
# To tailor your PATH, append or prepend directories to the
# default PATH in a colon-separated list and remove the "#" comment
# marker at the start of the line.  
# !! DO NOT replace the value of PATH !!
#	PATH=${HOME}/bin:${PATH}:/some/other/dir

	export PATH

# Read system news.
# The department staff uses the system newsgroup to notify account holders of
# critical events such as scheduled downtime and electrical outages.
# Reading the infrequent article before you quit readnews is a smart and simple
# way to stay informed about events that may inconvenience you a great deal.
newshost=news.cs.utexas.edu
if /usr/sbin/ping -c 3 $newshost >/dev/null 2>&1 ; then
        if checknews -N system | grep There > /dev/null 2>&1; then
                xterm -geometry 80x24+200+350 -e readnews -q -n system
        fi
fi

# If $PRINTER is not set, you have to tell lpr which printer to use with
# the -P option.  See 'man printers' for more info.
#       PRINTER=lw7 ; export PRINTER

# setup for mailbox
	MAIL=${HOME}/mailbox; export MAIL


# turn off the bell if you don't like it
#	xset -b


# and open some windows
	xterm  -geometry 85x24+370+0 -title `hostname` -name `hostname`\
                -bg gray34 -fg wheat1 &
	xterm  -geometry 85x24+345+385 -title `hostname` -name `hostname` \
                -bg sienna4 -fg blanchedalmond &
	xterm -geometry 80x50+0+65 -title `hostname` -name `hostname` &

# startup the windown manager.

	fvwm2
